# XMLDTDDescription Class Reference

Inheritance diagram for XMLDTDDescription:

List of all members.

## Public Member Functions

Virtual destructor for derived classes
virtual | ~XMLDTDDescription ()
| virtual destructor
Implementation of Grammar Description Interface
virtual Grammar::GrammarType | getGrammarType () const
| getGrammarType
The DTDDescription Interface
virtual const XMLCh * | getRootName () const =0
| Getter.
virtual const XMLCh * | getSystemId () const
virtual void | setRootName (const XMLCh *const)=0
| Setter.
virtual void | setSystemId (const XMLCh *const)

## Protected Member Functions

| XMLDTDDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors.

## Constructor & Destructor Documentation

virtual XMLDTDDescription::~XMLDTDDescription | ( |  | ) | `[virtual]`

virtual destructor

XMLDTDDescription::XMLDTDDescription | ( | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager` | ) | `[protected]`

Hidden Constructors.

## Member Function Documentation

virtual Grammar::GrammarType XMLDTDDescription::getGrammarType | ( |  | ) | const`[virtual]`

getGrammarType

Implements XMLGrammarDescription.

virtual const XMLCh* XMLDTDDescription::getRootName | ( |  | ) | const`[pure virtual]`

Getter.

virtual const XMLCh* XMLDTDDescription::getSystemId | ( |  | ) | const`[virtual]`

virtual void XMLDTDDescription::setRootName | ( | const XMLCh * | const | ) | `[pure virtual]`

Setter.

virtual void XMLDTDDescription::setSystemId | ( | const XMLCh * | const | ) | `[virtual]`

The documentation for this class was generated from the following file:

- XMLDTDDescription.hpp